apiVersion: apps/v1
kind: Deployment
metadata:
  name: cmsn-b-linh
  labels:
    app: cmsn-b-linh
spec:
  replicas: 1
  selector:
    matchLabels:
      app: cmsn-b-linh
  template:
    metadata:
      labels:
        app: cmsn-b-linh
    spec:
      containers:
        - name: nginx
          image: cmsn-b-linh:latest  # Change to your registry
          imagePullPolicy: IfNotPresent
          ports:
            - containerPort: 80
          resources:
            requests:
              cpu: "50m"
              memory: "64Mi"
            limits:
              cpu: "100m"
              memory: "128Mi"
